package de.w665.pr.statemachine.trafficlight;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class TrafficLightPersistanceService {

    private StateRepository stateRepository;

    public TrafficLightPersistanceService(StateRepository stateRepository) {
        this.stateRepository = stateRepository;
    }

    public void persistTrafficLightState(TrafficLightStates trafficLightState) {
        stateRepository.saveTrafficLightState(trafficLightState);
    }
}
